<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/test/AVSConnectionManagerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_2df864b0a635213c7e15391c7fd2f9dc.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">AVSConnectionManagerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_internet_connection_monitor_8h_source.html">AVSCommon/Utils/Network/MockInternetConnectionMonitor.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_a_v_s_connection_manager_8h_source.html">ACL/AVSConnectionManager.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AVSConnectionManagerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_a_v_s_connection_manager_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2test_2_a_v_s_connection_manager_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2test_2_a_v_s_connection_manager_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2test_2_a_v_s_connection_manager_test_8cpp">
<area shape="rect" id="node4" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="969,452,1173,491"/>
<area shape="rect" id="node9" href="_mock_internet_connection_monitor_8h.html" title="AVSCommon/Utils/Network\l/MockInternetConnectionMonitor.h" alt="" coords="386,105,610,144"/>
<area shape="rect" id="node12" href="_a_v_s_connection_manager_8h.html" title="ACL/AVSConnectionManager.h" alt="" coords="2008,112,2215,137"/>
<area shape="rect" id="node10" href="_internet_connection_monitor_interface_8h.html" title="AVSCommon/SDKInterfaces\l/InternetConnectionMonitorInterface.h" alt="" coords="93,192,338,231"/>
<area shape="rect" id="node11" href="_internet_connection_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/InternetConnectionObserverInterface.h" alt="" coords="32,279,287,317"/>
<area shape="rect" id="node16" href="_abstract_a_v_s_connection_manager_8h.html" title="AVSCommon/AVS/AbstractAVSConnection\lManager.h" alt="" coords="736,279,1012,317"/>
<area shape="rect" id="node18" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="445,452,693,491"/>
<area shape="rect" id="node19" href="_message_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageObserverInterface.h" alt="" coords="2644,452,2840,491"/>
<area shape="rect" id="node20" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="2371,459,2620,484"/>
<area shape="rect" id="node28" href="_a_v_s_endpoint_assigner_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AVSEndpointAssignerInterface.h" alt="" coords="2990,192,3208,231"/>
<area shape="rect" id="node29" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="2372,279,2563,317"/>
<area shape="rect" id="node30" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2109,452,2297,491"/>
<area shape="rect" id="node31" href="_message_router_interface_8h.html" title="ACL/Transport/MessageRouter\lInterface.h" alt="" coords="1939,192,2145,231"/>
<area shape="rect" id="node40" href="_message_router_observer_interface_8h.html" title="ACL/Transport/MessageRouter\lObserverInterface.h" alt="" coords="335,365,541,404"/>
<area shape="rect" id="node17" href="_a_v_s_connection_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AVSConnectionManagerInterface.h" alt="" coords="768,365,1002,404"/>
<area shape="rect" id="node22" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2966,539,3168,577"/>
<area shape="rect" id="node27" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="2225,539,2472,577"/>
<area shape="rect" id="node26" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="3077,625,3239,664"/>
<area shape="rect" id="node33" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1542,365,1737,404"/>
<area shape="rect" id="node41" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="1812,372,2043,397"/>
<area shape="rect" id="node42" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="1087,279,1309,317"/>
<area shape="rect" id="node38" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1714,452,1909,491"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_observer.html">alexaClientSDK::acl::test::MockMessageObserver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class allows us to test MessageObserver interaction.  <a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_observer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_connection_status_observer.html">alexaClientSDK::acl::test::MockConnectionStatusObserver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class allows us to test ConnectionStatusObserver interaction.  <a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_connection_status_observer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_router.html">alexaClientSDK::acl::test::MockMessageRouter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html">alexaClientSDK::acl::test::AVSConnectionManagerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a></code> class.  <a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">alexaClientSDK::acl::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7978bfa21db66322f02f037eb906e023"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a7978bfa21db66322f02f037eb906e023">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_create)</td></tr>
<tr class="separator:a7978bfa21db66322f02f037eb906e023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87058e71d4948bb517296eddb23b0bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#ae87058e71d4948bb517296eddb23b0bf">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_createWithNullMessageRouterAndObservers)</td></tr>
<tr class="separator:ae87058e71d4948bb517296eddb23b0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b790b28a65dd054613ef04129cf2f94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a2b790b28a65dd054613ef04129cf2f94">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_addConnectionStatusObserverNull)</td></tr>
<tr class="separator:a2b790b28a65dd054613ef04129cf2f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc62eb2ff66d9ad56c4ae5db0146dd63"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#abc62eb2ff66d9ad56c4ae5db0146dd63">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_addConnectionStatusObserverValid)</td></tr>
<tr class="separator:abc62eb2ff66d9ad56c4ae5db0146dd63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6b234fd1bd27ddf1219a638a940989f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aa6b234fd1bd27ddf1219a638a940989f">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_removeConnectionStatusObserverNull)</td></tr>
<tr class="separator:aa6b234fd1bd27ddf1219a638a940989f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f9a07c3a4ff28c918f684cbddf2b10"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a68f9a07c3a4ff28c918f684cbddf2b10">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_addMessageObserverNull)</td></tr>
<tr class="separator:a68f9a07c3a4ff28c918f684cbddf2b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacbe2036e73061cbd683a5947b25029c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aacbe2036e73061cbd683a5947b25029c">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_removeMessageObserverNull)</td></tr>
<tr class="separator:aacbe2036e73061cbd683a5947b25029c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d4ec383b0d6b31264486d12326fd76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#ad0d4ec383b0d6b31264486d12326fd76">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_enableAndDisableFunction)</td></tr>
<tr class="separator:ad0d4ec383b0d6b31264486d12326fd76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6dc76df32194c8ed01d7a565138f930"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#ad6dc76df32194c8ed01d7a565138f930">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_sendMessageRequest)</td></tr>
<tr class="separator:ad6dc76df32194c8ed01d7a565138f930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a772c40682d626ed21c01d4d79d2e9668"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a772c40682d626ed21c01d4d79d2e9668">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_setAVSEndpoint)</td></tr>
<tr class="separator:a772c40682d626ed21c01d4d79d2e9668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2abaeaf24f2c9173a36cfd0b38f977"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a6d2abaeaf24f2c9173a36cfd0b38f977">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_enabledOnConnectStatusChangedToFalse)</td></tr>
<tr class="separator:a6d2abaeaf24f2c9173a36cfd0b38f977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a587701cc91d8e25d1ac7970947c55123"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a587701cc91d8e25d1ac7970947c55123">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_enabledOnConnectStatusChangedToTrue)</td></tr>
<tr class="separator:a587701cc91d8e25d1ac7970947c55123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab47c6d4376e880f0530b29513bf24e77"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#ab47c6d4376e880f0530b29513bf24e77">alexaClientSDK::acl::test::TEST_F</a> (AVSConnectionManagerTest, test_disabledOnConnectStatusChanged)</td></tr>
<tr class="separator:ab47c6d4376e880f0530b29513bf24e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_a_v_s_connection_manager_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
